import React from "react";
import RoomContext from "../../contexts/RoomContext";
interface IProps {
    onClose(): void;
}
interface IState {
    narrow: boolean;
}
export default class NotificationPanel extends React.PureComponent<IProps, IState> {
    static contextType: React.Context<import("./RoomView").IRoomState & {
        threadId?: string;
    }>;
    context: React.ContextType<typeof RoomContext>;
    private card;
    constructor(props: IProps, context: React.ContextType<typeof RoomContext>);
    private onMeasurement;
    render(): React.ReactNode;
}
export {};
